### Hierarchy

- HttpProvider

## Index

### Constructors

- constructor

### Properties

- connected
- headers
- host
- timeout

### Methods

- prepareRequest
- send

## Constructors

### constructor

- new HttpProvider(host?: string, timeout?: number, headers?: HeaderConfig[]): HttpProvider

- - Defined in providers/httpProvider.ts:16

  #### Parameters

  - ##### Optional host: string

  - ##### Optional timeout: number

  - ##### Default value headers: HeaderConfig[] = []

  #### Returns HttpProvider

## Properties

### connected

connected: boolean

- Defined in providers/httpProvider.ts:15

### headers

headers: HeaderConfig[]

- Defined in providers/httpProvider.ts:16

### host

host: string

- Defined in providers/httpProvider.ts:13

### timeout

timeout: number

- Defined in providers/httpProvider.ts:14

## Methods

### Private prepareRequest

- prepareRequest(): AxiosInstance

- - Defined in providers/httpProvider.ts:63

  Perpare a request object

  #### Returns AxiosInstance

### send

- send(payload: object, callback: any): Promise<void>

- - Defined in providers/httpProvider.ts:31

  Send a rpc request to rpc server

  #### Parameters

  - ##### payload: object

  - ##### callback: any

  #### Returns Promise<void>

Generated using TypeDoc